aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/jenkins.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..94da198
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -d "$HOME/pysim-testdata/" ] ; then
+ echo "###############################################"
+ echo "Please create testdata in $HOME/pysim-testdata!"
+ echo "###############################################"
+ exit 1
+fi
+
+virtualenv -p python2 venv --system-site-packages
+. venv/bin/activate
+pip install pytlv
+
+cp -a "$HOME/pysim-testdata/" pysim-testdata/
+cd pysim-testdata
+../tests/pysim-test.sh
+